
#ifndef __COMPAT11B_H__
#define __COMPAT11B_H__

#define TCPA_Vendor_Specific32	TPM_Vendor_Specific32
#define TCPA_Vendor_Specific8	TPM_Vendor_Specific8

#define UNICODE			TSS_UNICODE
#define TCPA_DIGEST		TPM_DIGEST
#define TCPA_NONCE		TPM_NONCE
#define TCPA_SALT_NONCE		TPM_NONCE
#define TCPA_PUBKEY		TPM_PUBKEY
#define TCPA_SECRET		TPM_SECRET
#define TCPA_KEY		TPM_KEY
#define TCPA_DIRVALUE		TPM_DIRVALUE
#define TCPA_COMMAND_CODE	TPM_COMMAND_CODE
#define TCPA_AUDIT_EVENT	TPM_AUDIT_EVENT
#define TCPA_BOUND_DATA		TPM_BOUND_DATA
#define TCPA_VERSION		TPM_STRUCT_VER
#define TCPA_RESULT		TPM_RESULT
#define TCPA_PAYLOAD_TYPE	TPM_PAYLOAD_TYPE
#define TCPA_STORE_PRIVKEY	TPM_STORE_PRIVKEY
#define TCPA_CHOSENID_HASH	TPM_CHOSENID_HASH
#define TCPA_SYMMETRIC_KEY	TPM_SYMMETRIC_KEY
#define TCPA_PCR_INFO		TPM_PCR_INFO
#define TCPA_PCR_SELECTION	TPM_PCR_SELECTION
#define TCPA_STORED_DATA	TPM_STORED_DATA
#define TCPA_SEALED_DATA	TPM_SEALED_DATA
#define TCPA_KEY_FLAGS		TPM_KEY_FLAGS
#define TCPA_KEY_PARMS		TPM_KEY_PARMS
#define TCPA_STORE_PUBKEY	TPM_STORE_PUBKEY
#define TCPA_MIGRATIONKEYAUTH	TPM_MIGRATIONKEYAUTH
#define TCPA_RSA_KEY_PARMS	TPM_RSA_KEY_PARMS
#define TCPA_CERTIFY_INFO	TPM_CERTIFY_INFO
#define TCPA_STORE_ASYMKEY	TPM_STORE_ASYMKEY
#define TCPA_ENCAUTH		TPM_ENCAUTH
#define TCPA_PCRINDEX		TPM_PCRINDEX
#define TCPA_PCRVALUE		TPM_PCRVALUE
#define TCPA_DIRINDEX		TPM_DIRINDEX
#define TCPA_PROTOCOL_ID	TPM_PROTOCOL_ID
#define TCPA_ALGORITHM_ID	TPM_ALGORITHM_ID
#define TCPA_ENTITY_TYPE	TPM_ENTITY_TYPE
#define TCPA_CAPABILITY_AREA	TPM_CAPABILITY_AREA
#define TCPA_HMAC		TPM_HMAC
#define TCPA_MIGRATE_SCHEME	TPM_MIGRATE_SCHEME
#define TCPA_PHYSICAL_PRESENCE	TPM_PHYSICAL_PRESENCE
#define TCPA_KEY_HANDLE		TPM_KEY_HANDLE
#define TCPA_KEY_HANDLE_LIST	TPM_KEY_HANDLE_LIST
#define TCPA_PCR_COMPOSITE	TPM_PCR_COMPOSITE
#define TCPA_AUTH_DATA_USAGE	TPM_AUTH_DATA_USAGE
#define TCPA_AUTHDATA		TPM_AUTHDATA
#define TCPA_KEY_USAGE		TPM_KEY_USAGE
#define TCPA_COMPOSITE_HASH	TPM_COMPOSITE_HASH
#define TCPA_QUOTE_INFO		TPM_QUOTE_INFO
#define TCPA_TAG		TPM_TAG
#define TCPA_ENC_SCHEME		TPM_ENC_SCHEME
#define TCPA_SIG_SCHEME		TPM_SIG_SCHEME
#define TCPA_STARTUP_TYPE	TPM_STARTUP_TYPE
#define TCPA_EVENTTYPE		TPM_EVENTTYPE
#define TCPA_AUTHHANDLE		TPM_AUTHHANDLE
#define TCPA_ENCHANDLE		TPM_ENCHANDLE
#define TCPA_SYM_CA_ATTESTATION TPM_SYM_CA_ATTESTATION
#define TCPA_ASYM_CA_CONTENTS   TPM_ASYM_CA_CONTENTS
#define TCPA_IDENTITY_REQ       TPM_IDENTITY_REQ
#define TCPA_IDENTITY_PROOF     TPM_IDENTITY_PROOF

#define TCPA_SHA1_160_HASH_LEN		TPM_SHA1_160_HASH_LEN
#define TCPA_SHA1BASED_NONCE_LEN	TPM_SHA1BASED_NONCE_LEN

#define redirection		TSS_KEYFLAG_REDIRECTION
#define migratable		TSS_KEYFLAG_MIGRATABLE
#define volatileKey		TSS_KEYFLAG_VOLATILEKEY

#define TCPA_ET_KEYHANDLE	TPM_ET_KEYHANDLE
#define TCPA_ET_KEY		TPM_ET_KEY
#define TCPA_ET_OWNER		TPM_ET_KEY
#define TCPA_ET_SRK		TPM_ET_SRK
#define TCPA_ET_DATA		TPM_ET_DATA

#define TCPA_PID_OIAP		TPM_PID_OIAP
#define TCPA_PID_OSAP		TPM_PID_OSAP
#define TCPA_PID_ADIP		TPM_PID_ADIP
#define TCPA_PID_ADCP		TPM_PID_ADCP
#define TCPA_PID_OWNER		TPM_PID_OWNER

#define TCPA_PT_ASYM		TPM_PT_ASYM
#define TCPA_PT_BIND		TPM_PT_BIND
#define TCPA_PT_MIGRATE		TPM_PT_MIGRATE
#define TCPA_PT_MAINT		TPM_PT_MAINT
#define TCPA_PT_SEAL		TPM_PT_SEAL

#define TCPA_CAP_ALG		TPM_CAP_ALG
#define TCPA_CAP_ORD		TPM_CAP_ORD
#define TCPA_CAP_PID		TPM_CAP_PID
#define TCPA_CAP_FLAG		TPM_CAP_FLAG
#define TCPA_CAP_VERSION	TPM_CAP_VERSION
#define TCPA_CAP_PROPERTY	TPM_CAP_PROPERTY
#define TCPA_CAP_KEY_HANDLE	TPM_CAP_KEY_HANDLE
#define TCPA_CAP_CHECK_LOADED	TPM_CAP_CHECK_LOADED

#define TCPA_ALG_RSA		TPM_ALG_RSA
#define TCPA_ALG_DES		TPM_ALG_DES
#define TCPA_ALG_3DES		TPM_ALG_3DES
#define TCPA_ALG_SHA		TPM_ALG_SHA
#define TCPA_ALG_HMAC		TPM_ALG_HMAC
#define TCPA_ALG_AES		TPM_ALG_AES

#define TCPA_PROTECTED_ORDINAL		TPM_PROTECTED_ORDINAL
#define TCPA_UNPROTECTED_ORDINAL	TPM_UNPROTECTED_ORDINAL
#define TCPA_CONNECTION_ORDINAL		TPM_CONNECTION_ORDINAL

#define TCPA_PROTECTED_COMMAND		TPM_PROTECTED_COMMAND
#define TCPA_UNPROTECTED_COMMAND	TPM_UNPROTECTED_COMMAND
#define TCPA_CONNECTION_COMMAND		TPM_CONNECTION_COMMAND
#define TCPA_VENDOR_COMMAND		TPM_VENDOR_COMMAND

#define TCPA_MAIN		TPM_MAIN
#define TCPA_PC			TPM_PC
#define TCPA_PDA		TPM_PDA
#define TCPA_CELL_PHONE		TPM_CELL_PHONE

#define TCPA_MS_MIGRATE			TPM_MS_MIGRATE
#define TCPA_MS_REWRAP			TPM_MS_REWRAP
#define TCPA_MS_MAINT			TPM_MS_MAINT

#define TCPA_ES_NONE			TPM_ES_NONE
#define TCPA_ES_RSAESPKCSv15		TPM_ES_RSAESPKCSv15
#define	TCPA_ES_RSAESOAEP_SHA1_MGF1	TPM_ES_RSAESOAEP_SHA1_MGF1

#define TCPA_SS_NONE			TPM_SS_NONE
#define TCPA_SS_RSASSAPKCS1v15_SHA1	TPM_SS_RSASSAPKCS1v15_SHA1
#define TCPA_SS_RSASSAPKCS1v15_DER	TPM_SS_RSASSAPKCS1v15_DER

#define TCPA_PHYSICAL_PRESENCE_LIFETIME_LOCK	TPM_PHYSICAL_PRESENCE_LIFETIME_LOCK
#define TCPA_PHYSICAL_PRESENCE_HW_ENABLE	TPM_PHYSICAL_PRESENCE_HW_ENABLE
#define TCPA_PHYSICAL_PRESENCE_CMD_ENABLE	TPM_PHYSICAL_PRESENCE_CMD_ENABLE
#define TCPA_PHYSICAL_PRESENCE_LOCK		TPM_PHYSICAL_PRESENCE_LOCK
#define TCPA_PHYSICAL_PRESENCE_PRESENT		TPM_PHYSICAL_PRESENCE_PRESENT
#define TCPA_PHYSICAL_PRESENCE_NOTPRESENT	TPM_PHYSICAL_PRESENCE_NOTPRESENT

#define TCPA_SUCCESS			TPM_SUCCESS
#define TCPA_E_BASE			TPM_E_BASE
#define TCPA_E_NON_FATAL		TPM_E_NON_FATAL
#define TCPA_E_AUTHFAIL			TPM_E_AUTHFAIL
#define TCPA_E_BAD_PARAMETER		TPM_E_BAD_PARAMETER
#define TCPA_E_BADINDEX			TPM_E_BADINDEX
#define TCPA_E_AUDITFAILURE		TPM_E_AUDITFAILURE
#define TCPA_E_CLEAR_DISABLED		TPM_E_CLEAR_DISABLED
#define TCPA_E_DEACTIVATED		TPM_E_DEACTIVATED
#define TCPA_E_DISABLED			TPM_E_DISABLED
#define TCPA_E_DISABLED_CMD		TPM_E_DISABLED_CMD
#define TCPA_E_FAIL			TPM_E_FAIL
#define TCPA_E_INACTIVE			TPM_E_BAD_ORDINAL
#define TCPA_E_INSTALL_DISABLED		TPM_E_INSTALL_DISABLED
#define TCPA_E_INVALID_KEYHANDLE	TPM_E_INVALID_KEYHANDLE
#define TCPA_E_KEYNOTFOUND		TPM_E_KEYNOTFOUND
#define TCPA_E_NEED_SELFTEST		TPM_E_INAPPROPRIATE_ENC
#define TCPA_E_MIGRATEFAIL		TPM_E_MIGRATEFAIL
#define TCPA_E_NO_PCR_INFO		TPM_E_INVALID_PCR_INFO
#define TCPA_E_NOSPACE			TPM_E_NOSPACE
#define TCPA_E_NOSRK			TPM_E_NOSRK
#define TCPA_E_NOTSEALED_BLOB		TPM_E_NOTSEALED_BLOB
#define TCPA_E_OWNER_SET		TPM_E_OWNER_SET
#define TCPA_E_RESOURCES		TPM_E_RESOURCES
#define TCPA_E_SHORTRANDOM		TPM_E_SHORTRANDOM
#define TCPA_E_SIZE			TPM_E_SIZE
#define TCPA_E_WRONGPCRVAL		TPM_E_WRONGPCRVAL
#define TCPA_E_BAD_PARAM_SIZE		TPM_E_BAD_PARAM_SIZE
#define TCPA_E_SHA_THREAD		TPM_E_SHA_THREAD
#define TCPA_E_SHA_ERROR		TPM_E_SHA_ERROR
#define TCPA_E_FAILEDSELFTEST		TPM_E_FAILEDSELFTEST
#define TCPA_E_AUTH2FAIL		TPM_E_AUTH2FAIL
#define TCPA_E_BADTAG			TPM_E_BADTAG
#define TCPA_E_IOERROR			TPM_E_IOERROR
#define TCPA_E_ENCRYPT_ERROR		TPM_E_ENCRYPT_ERROR
#define TCPA_E_DECRYPT_ERROR		TPM_E_DECRYPT_ERROR
#define TCPA_E_INVALID_AUTHHANDLE	TPM_E_INVALID_AUTHHANDLE
#define TCPA_E_NO_ENDORSEMENT		TPM_E_NO_ENDORSEMENT
#define TCPA_E_INVALID_KEYUSAGE		TPM_E_INVALID_KEYUSAGE
#define TCPA_E_WRONG_ENTITYTYPE		TPM_E_WRONG_ENTITYTYPE
#define TCPA_E_INVALID_POSTINIT		TPM_E_INVALID_POSTINIT
#define TCPA_E_INAPPROPRIATE_SIG	TPM_E_INAPPROPRIATE_SIG
#define TCPA_E_BAD_KEY_PROPERTY		TPM_E_BAD_KEY_PROPERTY
#define TCPA_E_BAD_MIGRATION		TPM_E_BAD_MIGRATION
#define TCPA_E_BAD_SCHEME		TPM_E_BAD_SCHEME
#define TCPA_E_BAD_DATASIZE		TPM_E_BAD_DATASIZE
#define TCPA_E_BAD_MODE			TPM_E_BAD_MODE
#define TCPA_E_BAD_PRESENCE		TPM_E_BAD_PRESENCE
#define TCPA_E_BAD_VERSION		TPM_E_BAD_VERSION
#define TCPA_E_RETRY			TPM_E_RETRY


#endif
